<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.ascatel.asymbix.server.blp.op.co</groupId>
    <artifactId>DeleteCOOperation</artifactId>
    <version>0.0.1</version>
    <packaging>jar</packaging>

    <name>DeleteCOOperation</name>
    <url>http://maven.apache.org</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <common.modules.source.dir>${project.build.directory}/generated-sources/java</common.modules.source.dir>
        <proto.generated.sources>${project.build.directory}/generated-sources/protobuf</proto.generated.sources>
        <message.storage>../../../../../MessageStorage</message.storage>
    </properties>

    <repositories>
        <repository>
            <id>archiva.ascatel.com</id>
            <url>http://archiva.ascatel.com:8888/archiva/repository/internal/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

        <repository>
            <id>internal</id>
            <url>http://192.168.30.208:8888/archiva/repository/internal/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <dependencies>

        <dependency>
            <groupId>ru.omnicomm.pegasus</groupId>
            <artifactId>ProcessingPlatformCommon</artifactId>
            <version>0.0.13</version>
        </dependency>

        <dependency>
            <groupId>com.ascatel.asymbix.server.blp</groupId>
            <artifactId>BaseRequestServerUtility</artifactId>
            <version>0.0.01</version>
        </dependency>

        <dependency>
            <groupId>com.ascatel.asymbix.server.blp.op.at</groupId>
            <artifactId>DeleteATOperation</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.ascatel.asymbix.server.blp.op.is</groupId>
            <artifactId>DeregisterISOperation</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>com.ascatel.asymbix.server.blp.op.general</groupId>
            <artifactId>DeleteObjectOperation</artifactId>
            <version>0.0.1</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                    <showWarnings>true</showWarnings>
                    <showDeprecation>true</showDeprecation>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <version>2.4.3</version>
                <configuration>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.1.2</version>
                <executions>
                    <execution>
                        <id>attach-sources</id>
                        <phase>package</phase>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>2.3</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.build.directory}/lib/</outputDirectory>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.7</version>
                <executions>
                    <execution>
                        <id>add-source</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>add-source</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>${common.modules.source.dir}</source>
                                <source>${proto.generated.sources}</source>
                            </sources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.7</version>
                <executions>

                    <execution>
                        <id>create-scripts</id>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>run</goal>
                        </goals>
                        <configuration>
                            <target>
                                <mkdir dir="${proto.generated.sources}"/>

                                <property name="dest_path" value="${proto.generated.sources}"/>
                                <property name="src_path"
                                          value="${message.storage}/src/main/resources/protobuf/server/request/telematic"/>
                                <property name="DeleteCOMessages_proto" value="DeleteCOMessages.proto"/>

                                <exec executable="protoc">
                                    <arg value="-I=${src_path}"/>
                                    <arg value="--java_out"/>
                                    <arg value="${dest_path}"/>
                                    <arg value="${src_path}/${DeleteCOMessages_proto}"/>
                                </exec>
                                <echo message="${DeleteCOMessages_proto} has been compiled."/>

                                <echo message="Done."/>
                            </target>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>

        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <version>2.6</version>
                    <executions>
                        <execution>
                            <id>unpack sources</id>
                            <phase>generate-sources</phase>
                            <!--<phase>package</phase>-->
                            <goals>
                                <goal>unpack</goal>
                            </goals>
                            <configuration>
                                <artifactItems>
                                    <artifactItem>
                                        <groupId>com.ascatel.asymbix.server.blp</groupId>
                                        <artifactId>BaseRequestServerUtility</artifactId>
                                        <type>jar</type>
                                        <classifier>sources</classifier>
                                        <overWrite>true</overWrite>
                                        <outputDirectory>${common.modules.source.dir}</outputDirectory>
                                    </artifactItem>

                                    <artifactItem>
                                        <groupId>com.ascatel.asymbix.server.blp.op.at</groupId>
                                        <artifactId>DeleteATOperation</artifactId>
                                        <type>jar</type>
                                        <classifier>sources</classifier>
                                        <overWrite>true</overWrite>
                                        <outputDirectory>${common.modules.source.dir}</outputDirectory>
                                    </artifactItem>

                                    <artifactItem>
                                        <groupId>com.ascatel.asymbix.server.blp.op.is</groupId>
                                        <artifactId>DeregisterISOperation</artifactId>
                                        <type>jar</type>
                                        <classifier>sources</classifier>
                                        <overWrite>true</overWrite>
                                        <outputDirectory>${common.modules.source.dir}</outputDirectory>
                                    </artifactItem>
                                </artifactItems>
                            </configuration>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <excludes>
                    <exclude>**/*.bat</exclude>
                    <exclude>**/*.sh</exclude>
                </excludes>
            </resource>
        </resources>

    </build>

</project>
